Summary:	Advanced MATE menu
Summary(pl.UTF-8):	Zaawansowane menu dla MATE
Name:		mate-mintmenu
Version:	5.9.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://packages.linuxmint.com/pool/main/m/mintmenu/mintmenu_%{version}.tar.xz
# Source0-md5:	514377f50ec415bb4d1d6db9672ba070
Patch0:		%{name}-icon.patch
URL:		https://github.com/linuxmint/mintmenu
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26
Requires:	gtk+3
Requires:	gvfs
Requires:	mate-desktop-libs >= 1.18.0
Requires:	mate-panel >= 1.18.0
Requires:	mozo
Requires:	python-Xlib
Requires:	python-matemenu
Requires:	python-modules
Requires:	python-pygobject3
Requires:	python-pyxdg
Requires:	python-setproctitle
Requires:	xdg-utils
Suggests:	python-pyinotify
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Advanced MATE menu.

%description -l pl.UTF-8
Zaawansowane menu dla MATE.

%prep
%setup -qc
%patch0 -p1
mv mintmenu/* .

%{__sed} -i 's,version = commands.getoutput("/usr/lib/linuxmint/common/version.py mintmenu"),version = "%{version}",' usr/lib/linuxmint/mintMenu/mintMenu.py
grep -rl '%{_prefix}/lib/linuxmint/mintMenu' usr | xargs %{__sed} -i 's,%{_prefix}/lib/linuxmint/mintMenu,%{_datadir}/%{name},g'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}}
cp -pr usr/lib/linuxmint/mintMenu $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr usr/share/{dbus-1,glib-2.0,man,mate-panel,pixmaps} $RPM_BUILD_ROOT%{_datadir}
install -p usr/bin/mintmenu $RPM_BUILD_ROOT%{_bindir}

# (build time) to compile *.py
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/compile.py

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mintmenu
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/applications.list
%{_datadir}/%{name}/keybinding.py
%{_datadir}/%{name}/mintMenuConfig.glade
%attr(755,root,root) %{_datadir}/%{name}/mintMenuConfig.py
%{_datadir}/%{name}/mintMenu.glade
%attr(755,root,root) %{_datadir}/%{name}/mintMenu.py
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/*.glade
%{_datadir}/%{name}/plugins/*.py
%{_datadir}/%{name}/pointerMonitor.py
%{_datadir}/%{name}/popup.xml
%{_datadir}/%{name}/search_engines
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.svg
%{_datadir}/dbus-1/services/org.mate.panel.applet.MintMenuAppletFactory.service
%{_datadir}/glib-2.0/schemas/com.linuxmint.mintmenu.gschema.xml
%{_mandir}/man1/mintmenu.1*
%{_datadir}/mate-panel/applets/org.mate.panel.MintMenuApplet.mate-panel-applet
%{_pixmapsdir}/mintmenu.svg
%changelog
* Sat Dec 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-mintmenu.git;a=log;h=master

* Sat Dec 01 2018 Jan Palus <atler@pld-linux.org> ec56de9
- up to 5.9.1

* Mon Jul 09 2018 Jan Palus <atler@pld-linux.org> 72c5090
- up to 5.9.0

* Fri Jun 08 2018 Jan Palus <atler@pld-linux.org> f615155
- up to 5.8.9

* Thu May 31 2018 Jan Palus <atler@pld-linux.org> 0272358
- up to 5.8.8

* Wed May 16 2018 Jan Palus <atler@pld-linux.org> 868cd19
- up to 5.8.6

* Mon May 07 2018 Jan Palus <atler@pld-linux.org> 0b2c130
- up to 5.8.5

* Sat Feb 10 2018 Jan Palus <atler@pld-linux.org> c1764e9
- package man and icon; rel 2

* Sat Nov 25 2017 Jan Palus <atler@pld-linux.org> b65b9e8
- up to 5.8.4

* Sat Nov 11 2017 Jan Palus <atler@pld-linux.org> 037a561
- up to 5.8.3

* Wed Jun 28 2017 Jan Palus <atler@pld-linux.org> 23f7199
- up to 5.8.2

* Wed Jun 14 2017 Jan Palus <atler@pld-linux.org> ddce079
- up to 5.8.1

* Sun May 07 2017 Jan Palus <atler@pld-linux.org> 4d939aa
- up to 5.8.0

* Wed Dec 14 2016 Jan Palus <atler@pld-linux.org> 0038372
- up to 5.7.6

* Sun Aug 21 2016 Jan Palus <atler@pld-linux.org> 0114559
- more explicit %files for plugins

* Wed Aug 03 2016 Elan Ruusamäe <glen@delfi.ee> d5b7c56
- better url

* Wed Aug 03 2016 Elan Ruusamäe <glen@delfi.ee> e037166
- up to 5.7.2 (22 Jun 2016)

* Mon Jun 06 2016 Jan Palus <atler@pld-linux.org> 4b83acd
- up to 5.7.0

* Sun May 22 2016 Jan Palus <atler@pld-linux.org> 751129d
- up to 5.6.9

* Sat Apr 23 2016 Jan Palus <atler@pld-linux.org> 8791348
- up to 5.6.7

* Thu Dec 17 2015 Jan Palus <atler@pld-linux.org> eb34709
- up to 5.6.6

